UARK(4)

NAME
uark - Arkmicro Technologies ARK3116 based USB serial adapter

SYNOPSIS
uark* at uhub?
ucom* at uark?

DESCRIPTION
The uark driver supports Arkmicro Technologies ARK3116 based serial adapters.

The following devices should work with the uark driver:

    HL USB-RS232
    HugePine USB-UART
    KQ-U8A Data Cable
    Skymaster USB to RS232

SEE ALSO
tty(4), ucom(4), uhub(4), usb(4)

HISTORY
The uark device driver first appeared in OpenBSD 4.0 and was ported to NetBSD 6.0.

AUTHORS
-nosplit The uark driver was written by Jonathan Gray <jsg@openbsd.org>.

CAVEATS
Setting hardware flow control is not currently supported. It is not yet known how to ask the hardware to send a break.